/**
 * @PROJECT			CGI Bash Shell Interface
 * @COPYRIGHT		See COPYING in the top level directory
 * @FILE			common.h
 * @PURPOSE			Common CBSI
 * @DEVELOPERS		Nathan Angelacos <nangel@users.sourceforge.net>
 *					Rafal Kupiec <belliash@asiotec.eu.org>
 */

#ifndef __COMMON_H
#define __COMMON_H

#define ALLOC_CHUNK	10

#define CBSI_VERSION "0.92"

#define STDIN	0
#define STDOUT  1
#define STDERR	2

#define HASH_BUF 1536
#define TRANS_BUF 2048

#define LANGDIR "/usr/lib/kagera/langs"
#define SUBSHELL_CMD "/bin/sh"
#define TEMPDIR "/tmp"

typedef struct {
	char* string;
	unsigned char quoted;
} argv_t;

typedef struct {
	char* buf;
	void* next;
} list_t;

#endif
